import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

const routes: Routes = [
  {
    path: 'users',
    loadChildren: './users/users.module#UsersModule'
  },
  {
    path: 'games',
    loadChildren: './games/games.module#GamesModule'
  },
  {
    path: 'moneys',
    loadChildren: './moneys/moneys.module#MoneysModule'
  },
  {
    path: 'infos',
    loadChildren: './infos/infos.module#InfosModule'
  },
  {
    path: 'sites',
    loadChildren: './sites/sites.module#SitesModule'
  },
  {
    path: 'specials',
    loadChildren: './specials/specials.module#SpecialsModule'
  },
  {
    path: 'statics',
    loadChildren: './statics/statics.module#StaticsModule'
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PagesRoutingModule {}
